Get Property
Retrieve all the details of a property given its id.
- ID changes: it is rare, but can happen, to see the id of a property change. We consider it unlikely for bigger properties since they tend to have a more established “identity” among our data pipelines. For example, if multiples properties are merged into one, or major data changes make us change the id. In this case, you might receive a 404 error. The property search endpoint is free, so always feel free to query it in case that happens.
- Payload usage: this payload can be used to get the property details, the unit pricing, the expense benchmarks, and the rent comps. And you are free to cache it if you need to.
- Date filtering: You can optionally filter units, history, availability periods, and concessions by providing
fromand/ortodate parameters. Only data that overlaps with the specified date range will be included. You can provide either date, both, or neither. This is particularly useful when you only need current or recent data, as it can significantly speed up API calls and reduce response payload size compared to retrieving the full historical dataset.
We make a few properties free to access to help with testing. These three properties are listed below but if you would like to use a different property to test with, we are happy to allow that for you.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
The property id (UUIDv5 retrieved from the search endpoint).
Query parameters
Optional. Filter results to include only data that overlaps with dates on or after this date (ISO 8601 format, e.g., “2024-01-01”).
Optional. Filter results to include only data that overlaps with dates on or before this date (ISO 8601 format, e.g., “2024-12-31”).
Optional. Adjusts the ‘min_price’, ‘price’, ‘max_price’, ‘min_effective_price’, ‘effective_price’, ‘max_effective_price’, ‘price_plans’ to be Total Monthly Leasing Price (TMLP) by adding in fees.
Response
An array representing the market embedding vector, used for advanced analysis. If you want to compare two markets, you can use the cosine similarity between their market embeddings. Note: this vector is subject to change a couple of times a year as we improve our models.
Indicates if the property is a single-family home.
One-time fee for having cats.
One-time fee for having dogs.
Maximum security deposit required (may vary by unit).
An array representing the property embedding vector, used for advanced analysis. If you want to compare two properties, you can use the cosine similarity between their property embeddings. Note: this vector is subject to change a couple of times a year as we improve our models.
Beta Subject to change in near future. The demographics for the property’s location, if available.
AMI (Area Median Income) affordability limits by household size. The AMI Limits can be either 30%, 50%, 60%, 80%, or 120% Each of these percents has a price amount for 1 to 8 people denoted by the p suffix The 25 refers to the year 2025 Used to determine if a unit qualifies as affordable based on rent-to-income ratio.
Indicates if the property is a build-to-rent community.
Indicates if the property contains affordable units. Uses the public database of LIHTC properties and the floorplan names from the property website + data from other public data sources.
A prediction of the number of units based on images, number of floors, amenities, location, year built, and the number of units we have seen so far. NOTE: This is an approximation to understand the property’s size when the exact number of units is not available, do not use it as a variable in your financial models.
When it’s a custom property, this field will be populated with the user_id of the user who created the property.
Lease-up mode indicates that the building was recently built, and it is assumed that the developers are only showing a small number of their available units because they are still trying to fill their spaces.
The function checks several conditions to determine if the building is in lease-up mode:
- It verifies if the building was built recently (within the last two years).
- It checks if the building has more than 10 units.
- It counts the number of available units and tracks the earliest availability date.
- It ensures that there have been at least 5 leases.
- It checks if the earliest move-in date is within the last 18-months.
- It calculates the percentage of units still being marketed and ensures it is at least 15%.
If all these conditions are met, the building is considered to be in lease-up mode.
Abnormal lease spikes from portal/management transitions. Informational for the UI: the frontend shows warnings when a spike falls in the viewed period. Does not change lease counts.
DEPRECATED: This field will be removed in future versions.